## org.h2.mvstore
Class TransactionStore

    java.lang.Object
      org.h2.mvstore.TransactionStore

    public class TransactionStore

extends java.lang.Object

A store that supports concurrent transactions.

Nested Class Summary
`static class` `TransactionStore.Transaction` A transaction.
`static class` `TransactionStore.TransactionMap<K,V>` A map that supports transactions.

Constructor Summary
`TransactionStore(MVStore store)` Create a new transaction store.

Method Summary
`TransactionStore.Transaction` `begin()` Begin a new transaction.
`void` `close()` Close the transaction store.
`java.util.List<TransactionStore.Transaction>` `getOpenTransactions()` Get the list of currently open transactions.

`

`<A,B> MVMap<A,B>`

`

`openMap(java.lang.String name, MVMap.Builder<A,B> builder)`
Open the map to store the data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionStore

    public TransactionStore(MVStore store)

  Create a new transaction store.

  Parameters:
    `store` - the store

Method Detail

### getOpenTransactions

    public java.util.List<TransactionStore.Transaction> getOpenTransactions()

  Get the list of currently open transactions.

  Returns:
    the list of transactions

### close

    public void close()

  Close the transaction store.

### begin

    public TransactionStore.Transaction begin()

  Begin a new transaction.

  Returns:
    the transaction

### openMap

    public <A,B> MVMap<A,B> openMap(java.lang.String name,
                                    MVMap.Builder<A,B> builder)

  Open the map to store the data.

  Type Parameters:
    `A` - the key type
    `B` - the value type
  Parameters:
    `name` - the map name
    `builder` - the builder
  Returns:
    the map